/*
    $Id: gethostname.c,v 1.3 1994/05/31 23:56:54 marion Exp $
    gethostname.c - sys5 substitute for gethostname(2).
    Feb 93 by marion@cs.tu-berlin.de

    Copyright (C) 1993, 1994 Klaus Rennecke

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* $Log: gethostname.c,v $
 * Revision 1.3  1994/05/31  23:56:54  marion
 * Put getnfswd and companions into libgetnfswd.a.
 * Added --version option to nfspwd.
 * Added check to set $MAKE variable.
 * Check for getwd system call.
 * More ANSIfying done.
 * Supply path name for mount program in getmntent.c.
 * Ported to sinix and DEC alpha. sinix is a special nuisance.
 *
 * Revision 1.2  1994/05/30  18:36:41  marion
 * Added more header file dependent configuration.
 * Tar make target added.
 *
 * Revision 1.1  1994/01/10  15:14:39  marion
 * Port to solaris.
 *
 */

#if STDC_HEADERS || HAVE_STRING_H
#include <string.h>
/* An ANSI string.h and pre-ANSI memory.h might conflict.  */
#if !STDC_HEADERS && HAVE_MEMORY_H
#include <memory.h>
#endif /* not STDC_HEADERS and HAVE_MEMORY_H */
#else /* not STDC_HEADERS and not HAVE_STRING_H */
#include <strings.h>
/* memory.h and strings.h conflict on some systems.  */
#endif /* not STDC_HEADERS and not HAVE_STRING_H */


#include <sys/utsname.h>

int
#if defined(__STDC__)
gethostname (char *name, int namelen)
#else
gethostname (name, namelen)
char	*name;
int	namelen;
#endif
{
    struct utsname utsbuf;

    if (uname (&utsbuf) == -1)
	return -1;
    strncpy (name, utsbuf.nodename, namelen);

    return 0;
}
