/*
    $Id: nfspwd.c,v 1.6 1994/07/11 04:54:51 marion Exp $
    nfspwd.c - show getnfswd result.
    Jun 93 by marion@cs.tu-berlin.de

    Copyright (C) 1993, 1994 Klaus Rennecke

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

/* $Log: nfspwd.c,v $
 * Revision 1.6  1994/07/11  04:54:51  marion
 * Added installation instructions to README
 * Separated the version string to version.c
 *
 * Revision 1.5  1994/05/31  23:57:03  marion
 * Put getnfswd and companions into libgetnfswd.a.
 * Added --version option to nfspwd.
 * Added check to set $MAKE variable.
 * Check for getwd system call.
 * More ANSIfying done.
 * Supply path name for mount program in getmntent.c.
 * Ported to sinix and DEC alpha. sinix is a special nuisance.
 *
 * Revision 1.4  1994/05/30  18:36:44  marion
 * Added more header file dependent configuration.
 * Tar make target added.
 *
 * Revision 1.3  1994/05/30  16:55:18  marion
 * Put under autoconf control.
 * Ported to ULTRIX 4.[23].
 * Added getmntent emulation for ULTRIX.
 * ANSIfied the sources.
 *
 * Revision 1.2  1993/06/29  06:07:29  marion
 * Put under GGPL.
 *
 */

#include <stdio.h>
#include <errno.h>
#include <sys/param.h>

extern int getnfswd ();
extern void version ();
static int usage ();

int
#if defined(__STDC__)
main (int argc, char **argv)
#else
main (argc, argv)
int	argc;
char	**argv;
#endif
{
    char path[MAXPATHLEN];

    if (argc != 1)
      {
	if (argc == 2)
	  {
	    if (!strcmp (argv[1], "--version"))
	      {
		version ();
		return 0;
	      }
	    else
	      return usage ();
	  }
	else
	  return usage ();
      }

    if (getnfswd (path))
      {
	printf ("%s\n", path);
      }
    else
      {
	extern int errno;
	int save_errno = errno;

	fprintf (stderr, "getnfswd: ");
	errno = save_errno;
	perror (path);
	return 1;
      }

    return 0;
}

static int
usage ()
{
    fputs ("nfspwd usage: nfspwd [--version]\n", stderr);
    return 1;
}
